> ## Documentation Index
> Fetch the complete documentation index at: https://docs.esheria.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Recompute customer impacts from pack change events



## OpenAPI

````yaml /openapi.json post /api/v1/customer-change-impacts/recompute
openapi: 3.1.0
info:
  title: Esheria Regulatory API
  version: 1.0.0
  description: >-
    Citation-backed regulatory pack API for pack discovery, obligations,
    applicability checks, version history, diffs, change events, evidence
    requirements, filing rules, penalty facts, legal review audit metadata,
    graph queries, and claim verification.
servers:
  - url: https://api.esheria.ai
    description: Production API
  - url: http://127.0.0.1:8080
    description: Local development runtime
security: []
paths:
  /api/v1/customer-change-impacts/recompute:
    post:
      tags:
        - Customer Applicability API
      summary: Recompute customer impacts from pack change events
      operationId: >-
        recompute_customer_change_impacts_api_v1_customer_change_impacts_recompute_post
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerChangeImpactRecomputeRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: unauthorized
                    message: Invalid API key
                trace_id: trace-123
        '402':
          description: Credits exhausted
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: credits_exhausted
                    message: API credits exhausted
                trace_id: trace-123
        '409':
          description: Conflict
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: duplicate_token_name
                    message: An active data token already uses that name.
                trace_id: trace-123
        '422':
          description: Validation error
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: validation_error
                    message: Invalid payload
                    field: body.name
                trace_id: trace-123
        '503':
          description: Billing or dependency unavailable
          content:
            application/json:
              example:
                status: error
                errors:
                  - code: billing_unavailable
                    message: Billing ledger is unavailable
                trace_id: trace-123
      security:
        - ApiKeyAuth: []
components:
  parameters:
    IdempotencyKey:
      name: idempotency-key
      in: header
      required: true
      schema:
        type: string
      description: Unique key for mutating request replay protection.
      example: claim-verify-2026-06-01T120000Z
  schemas:
    CustomerChangeImpactRecomputeRequest:
      properties:
        customer_profile_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customer Profile Id
        domain_pack_id:
          anyOf:
            - type: string
              maxLength: 160
            - type: 'null'
          title: Domain Pack Id
        status:
          anyOf:
            - type: string
              maxLength: 80
            - type: 'null'
          title: Status
        from_version:
          anyOf:
            - type: string
              maxLength: 160
            - type: 'null'
          title: From Version
        to_version:
          anyOf:
            - type: string
              maxLength: 160
            - type: 'null'
          title: To Version
        limit:
          type: integer
          maximum: 1000
          minimum: 1
          title: Limit
          default: 500
      additionalProperties: false
      type: object
      title: CustomerChangeImpactRecomputeRequest
      example:
        customer_profile_id: 11111111-1111-1111-1111-111111111111
        domain_pack_id: UK-DATA-PROTECTION-PRIVACY
        status: open
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Client API key issued by Esheria.
      x-default: YOUR_ESHERIA_API_KEY

````